HaruPage::createTextAnnotation
HaruPage::curveTo2
HaruPage
PHP Manual

# HaruPage::createURLAnnotation

(PECL haru:0.0.1)

HaruPage::createURLAnnotation — Create and return new HaruAnnotation instance

### Description

object HaruPage::createURLAnnotation ( array `$rectangle` , string `$url` )

Creates a new HaruAnnotation instance.

### Parameters

`rectangle`

  An array with 4 coordinates of the clickable area.

`url`

  The URL to open.

### Return Values

Returns a new HaruAnnotation instance.

### Errors/Exceptions

Throws HaruException on error.

HaruPage::createTextAnnotation
HaruPage::curveTo2
HaruPage
PHP Manual